Bug 1545296 - View selector of All Generic Objects page not working except default
Summary: View selector of All Generic Objects page not working except default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: service:custom_button:generic_object
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-14 14:57 UTC by Yadnyawalk Tale
Modified: 2019-02-07 23:01 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:05 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
fixed_5.10.0.17.mp4 (248.56 KB, video/mp4)
2018-10-03 16:09 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Description Yadnyawalk Tale 2018-02-14 14:57:40 UTC
Created attachment 1395960 [details]
problem_is_here.gif

Description of problem:
View selector of All Generic Objects page not working except default

Version-Release number of selected component (if applicable):
5.9.0.20.20180206200727_d1873b9 

How reproducible:
100%

Steps to Reproduce:
1. Create a generic object custom button with a dialog
2. Attach the generic object to a service
3. Navigate to MyServices > Service > Your Service, from GenericObject table click on attached instance (You are on All Generic Objects now)
5. Try to change view (Let say, Grid view from default Tile view)

Actual results:
Not changing view

Expected results:
Should change view according to selection

Additional info:
Problem endpoint was `/service/show/1?display=generic_objects` (but you have to perform step 2 first)

Comment 2 Hilda Stastna 2018-02-19 12:28:41 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3423

Comment 3 CFME Bot 2018-05-23 11:39:17 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/3b5b419e234301e46406b4a560798c7e699ff7b9
commit 3b5b419e234301e46406b4a560798c7e699ff7b9
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Mon Feb 19 07:11:34 2018 -0500
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Mon Feb 19 07:11:34 2018 -0500

    Make view selector of All Generic Objects page work

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1545296

    Make view selector of All Generic Objects page work, when attaching GO to a service
    and navigating to Services > My Services > service with GO and clicking on Instances
    from Generic Objects table (where we can change the view from tile also to grid/list).

 app/controllers/service_controller.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 4 Yadnyawalk Tale 2018-10-03 16:09:15 UTC
Created attachment 1490174 [details]
fixed_5.10.0.17.mp4

Fixed! View selector of All Generic Objects page working perfectly fine now.
Verified on: 5.10.0.17.20180927011235_1b5cf54

Comment 5 errata-xmlrpc 2019-02-07 23:01:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.